<h1 matDialogTitle>{{ status }} barang {{ selectedItem.itemId }}</h1>
<div mat-dialog-content>
    <div class="input-container picture-input-container desktop-tablet">
        <img class="item-picture" [src]="itemPicture" width="100%"><br>
    </div>
    <div class="outer-container">
        <div class="input-container">
            <div class="form-input-container" >
                <mat-form-field class="input-block">
                    <input matInput [disabled]='true' [(ngModel)]="selectedItem.itemName" placeholder="Nama Barang" name="itemName" id="itemName">
                </mat-form-field>
            </div>

             <div class="form-input-container" >
                <mat-form-field class="input-block">
                    <input matInput [disabled]='true' [(ngModel)]="selectedItem.itemCategory.categoryName" placeholder="Kategori Barang" name="itemCategory" id="itemCategory">
                </mat-form-field>
            </div>

            <div class="form-input-container">
                <mat-form-field class="input-block">
                    <input [disabled]='true' [(ngModel)]="selectedItem.itemBuyDate" matInput type="date" placeholder="Tanggal Beli" name="itemBuyDate" id="itemBuyDate">
                </mat-form-field>
            </div>

            <div class="form-input-container" >
                <mat-form-field class="input-block">
                    <textarea [disabled]='true' matInput [(ngModel)]="selectedItem.itemNote" matTextareaAutosize matAutosizeMinRows="2" matAutosizeMaxRows="5" 
                        placeholder="Catatan Barang" name="itemNote" id="itemNote"></textarea>
                </mat-form-field>
            </div>
        </div>

        <div class="input-container">
            <div class="form-input-container">
                <mat-form-field class="input-block">
                    <input [disabled]='true' matInput maxLength="10" [(ngModel)]="selectedItem.itemWeight" OnlyNumber="true" placeholder="Berat Barang (Gram)" name="itemWeight" id="itemWeight">
                </mat-form-field>
            </div>

            <div class="form-input-container">
                <mat-form-field class="input-block">
                    <input [disabled]='true' matInput maxLength="6" [(ngModel)]="selectedItem.itemGoldContent" OnlyNumber="true" placeholder="Kadar Emas (%)" name="itemGoldContent" id="itemGoldContent">
                </mat-form-field>
            </div>

            <div class="form-input-container">
                <mat-form-field class="input-block">
                    <input [disabled]='true' matInput CurrencyFormatter maxLength="15" [(ngModel)]="selectedItem.itemBuyPrice" OnlyNumber="true"  placeholder="Harga Barang (IDR)" name="itemBuyPrice" id="itemBuyPrice">
                </mat-form-field>
            </div>

            <div class="form-input-container">
                <mat-checkbox [disabled]="true" [(ngModel)]="checkedEntrusted" (change)="changeDisabled()" [ngModelOptions]="{standalone: true}">Barang Orang</mat-checkbox>
                <mat-form-field class="input-block">
                    <input matInput [disabled]="true" [(ngModel)]="selectedItem.itemEntrustedStatus" placeholder="Barang Orang" name="itemEntrustedStatus" id="itemEntrustedStatus">
                </mat-form-field>
            </div>
        </div>
    </div>
    
</div>
<div mat-dialog-actions>
    <button mat-raised-button color="warn" (click)="dialogRef.close(false)">Tutup</button>
</div>